%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                      %
%   COMPARE ORAS4 AND ERSST ATL3 SST   %
%   WRAPPER                            %
%                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% -------- %
% SETTINGS %
% -------- %

    all_vars    = {'ssh','sst','ustr'};
    index_data = struct(...
            'ssh', {'Atl3','Nino34'},...
            'sst', {'Atl3','Nino34'},...
            'ustr',{'WAtl','Nino4'});

% ------------ %
% CONSEQUENCES %
% ------------ %

    n_vars = length(all_vars);

% --------- %
% THE LOOPS %
% --------- %

    for c_var = 1:n_vars

        % naming
        var_name    = all_vars{c_var};
        all_indices = {index_data.(var_name)};
        n_indices   = length(all_indices);

        for c_index = 1:n_indices

            index_name = char(all_indices{c_index});

            % call the main script
            % disp(sprintf('%s-%s',index_name,var_name));
            compare_oras4_ersst;

        end

    end
