%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                            %
%   DECADAL VARIATIONS OF EVENT PARAMETERS   %
%   WRAPPER                                  %
%                                            %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;

addpath('<path where the functions are stored>'); 

% -------- %
% SETTINGS %
% -------- %

    all_datasets = {'ersst'}; % ,'hadisst','oras4'}; % ,'hadisst','oras4'};
    all_basins   = {'Atlantic'};

    season_def   = [5 6 7];   % calendar months; winter: NDJ, summer: MJJ

% --------- %
% THE LOOPS %
% --------- %

    for basin_name = {all_basins{:}}

        basin_name = char(basin_name);

        for dataset_name = {all_datasets{:}}

            dataset_name = char(dataset_name);

            % call main script
            decadal_variations;

        end

    end
