%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                      %
%   CALCULATE INSTANTANEOUS FEEDBACK   %
%   WRAPPER                            %
%                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath('<path where the functions are stored>');

clear all;
close all;
clc;

% -------- %
% SETTINGS %
% -------- %

    all_references = {'ssh','sst','ustr'};
    all_responses  = {'sst','ustr','ssh'};

    all_basins = {'Atlantic','Pacific'};

% ----------- %
% CONSEQUENES %
% ----------- %

    n_feedbacks = length(all_references);
    n_basins    = length(all_basins);

% --------- %
% THE LOOPS %
% --------- %

    for c_basin = 1:n_basins

        basin_name = char(all_basins{c_basin});

        for c_feedback = 1:n_feedbacks

            reference_name = char(all_references{c_feedback});
            response_name  = char(all_responses{c_feedback});

            % call main script
            calculate_instantaneous_feedback;

        end

    end
